"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = configContext => {
  const {
    AutocompleteInput,
    CheckboxInput,
    CompoundInput,
    StructuredDateInput,
    TextInput,
    TermPickerInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    DATA_TYPE_BOOL
  } = configContext.dataTypes;
  const {
    extensions
  } = configContext.config;
  return {
    'ns2:collectionobjects_nagpra': {
      [config]: {
        service: {
          ns: 'http://collectionspace.org/services/collectionobject/domain/nagpra'
        }
      },
      nagpraInventoryNames: {
        [config]: {
          view: {
            type: CompoundInput
          }
        },
        nagpraInventoryName: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_nagpra.nagpraInventoryName.name",
                "defaultMessage": "NAGPRA inventory"
              }
            }),
            repeating: true,
            view: {
              type: TermPickerInput,
              props: {
                source: 'nagprainventory'
              }
            }
          }
        }
      },
      nagpraCategories: {
        [config]: {
          view: {
            type: CompoundInput
          }
        },
        nagpraCategory: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_nagpra.nagpraCategory.name",
                "defaultMessage": "Museum NAGPRA category determination"
              }
            }),
            repeating: true,
            view: {
              type: TermPickerInput,
              props: {
                source: 'nagpracategory'
              }
            }
          }
        }
      },
      graveAssocCodes: {
        [config]: {
          view: {
            type: CompoundInput
          }
        },
        graveAssocCode: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_nagpra.graveAssocCodes.name",
                "defaultMessage": "Grave association code"
              }
            }),
            repeating: true,
            view: {
              type: TermPickerInput,
              props: {
                source: 'graveassoccode'
              }
            }
          }
        }
      },
      nagpraCulturalDeterminations: {
        [config]: {
          view: {
            type: CompoundInput
          }
        },
        nagpraCulturalDetermination: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_nagpra.nagpraCulturalDetermination.name",
                "defaultMessage": "NAGPRA cultural determination"
              }
            }),
            repeating: true,
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        }
      },
      repatriationNotes: {
        [config]: {
          view: {
            type: CompoundInput
          }
        },
        repatriationNote: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.collectionobjects_nagpra.repatriationNote.name",
                "defaultMessage": "Repatriation note"
              }
            }),
            repeating: true,
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        }
      },
      nagpraReportFiled: {
        [config]: {
          dataType: DATA_TYPE_BOOL,
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.collectionobjects_nagpra.nagpraReportFiled.name",
              "defaultMessage": "Report filed"
            },
            fullName: {
              "id": "field.collectionobjects_nagpra.nagpraReportFiled.fullName",
              "defaultMessage": "NAGPRA report filed"
            }
          }),
          view: {
            type: CheckboxInput
          }
        }
      },
      nagpraReportFiledBy: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.collectionobjects_nagpra.nagpraReportFiledBy.name",
              "defaultMessage": "By"
            },
            fullName: {
              "id": "field.collectionobjects_nagpra.nagpraReportFiledBy.fullName",
              "defaultMessage": "NAGPRA report filed by"
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local'
            }
          }
        }
      },
      nagpraReportFiledDate: _objectSpread({
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.collectionobjects_nagpra.nagpraReportFiledDate.name",
              "defaultMessage": "Date"
            },
            fullName: {
              "id": "field.collectionobjects_nagpra.nagpraReportFiledDate.fullName",
              "defaultMessage": "NAGPRA report filed date"
            }
          }),
          view: {
            type: StructuredDateInput
          }
        }
      }, extensions.structuredDate.fields)
    }
  };
};

exports.default = _default;